@font-face {
  font-family: "Canela Web";
  src: url("/wp-content/themes/foatandgriffin/fonts/Canela-Thin-Web.woff2") format("woff2");
  font-weight: 100;
  font-style: normal;
}
@font-face {
  font-family: "Canela Web";
  src: url("/wp-content/themes/foatandgriffin/fonts/Canela-ThinItalic-Web.woff2") format("woff2");
  font-weight: 100;
  font-style: italic;
}
@font-face {
  font-family: "Manrope";
  src: url("/wp-content/themes/foatandgriffin/fonts/Manrope-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
}
body,
p,
h5,
.nf-form-wrap.ninja-forms-form-wrap,
.field-wrap .pikaday__container, .field-wrap .pikaday__display, .field-wrap > div input, .field-wrap select, .field-wrap textarea {
  font-family: "Manrope", serif;
  font-weight: 400;
  font-style: normal;
  line-height: 1.5;
  color: var(--grey);
}

a {
  color: var(--grey);
  text-decoration: none;
  font-size: clamp(13.5px, 1.8vw, 0.89rem);
}

h1,
h2,
h3,
h4,
a.project-filter,
.btn,
.field-wrap input[type=submit] {
  font-family: "Canela Web", serif;
  font-weight: 100;
  font-style: normal;
}

h2, a.text-link {
  font-family: "Canela Web", serif;
  font-weight: 100;
  font-style: italic;
}

h1 {
  font-size: 3em;
  line-height: 1;
}

h2, h2 a {
  font-size: 3.5rem;
}

h3 {
  font-size: 2rem;
  line-height: 1.3;
}

.large {
  font-size: 2rem;
  line-height: 1.2;
}

h4 {
  font-size: 1.3rem;
  line-height: 1.3;
}

h5 {
  text-transform: uppercase;
  font-size: 0.7rem;
  letter-spacing: 0.5px;
}

p {
  font-size: clamp(13.5px, 1.8vw, 0.89rem);
  margin-bottom: 1rem;
}

button {
  font-size: 1rem;
}

a.text-link {
  text-decoration: none;
  color: var(--grey);
  font-size: 1.2rem;
  display: inline-flex;
  align-items: center;
  gap: 0.4rem;
}

a.text-link::after {
  content: "";
  display: inline-block;
  width: 1.2rem;
  height: 1.2rem;
  background: url("/wp-content/themes/foatandgriffin/images/arrow-dark.svg") no-repeat center center;
  background-size: contain;
  transition: transform 0.3s ease;
}

a.text-link:hover::after {
  transform: translateX(4px);
}

#splash-screen h2 {
  font-size: 1.5rem;
  line-height: 1;
}
#splash-screen a {
  font-family: "Canela Web";
  font-style: italic;
}

.text-loop-container {
  position: relative;
  height: 1.2em;
  /* Adjusted height for spacing */
  overflow: hidden;
  cursor: pointer;
}

.text-loop {
  display: block;
  transition: transform 0.5s cubic-bezier(0.25, 1, 0.5, 1);
}

.text-loop span {
  display: block;
  line-height: 1.2em;
}

/* Initial state of the text */
.text-loop span:first-child {
  transform: translateY(0);
}

.text-loop span:last-child {
  transform: translateY(100%);
}

/* Hover state for the text loop */
.text-loop-container:hover .text-loop {
  transform: translateY(-100%);
}

.feature-background {
  position: relative;
  margin-top: 3rem;
  padding: 0rem 0rem 6rem 0rem;
}
.feature-background h2, .feature-background h4, .feature-background h5, .feature-background p {
  color: white;
}
.feature-background .feature-background::after {
  position: absolute;
  z-index: 1;
  content: "";
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  background-color: #00000025;
}
.feature-background .row {
  position: relative;
  z-index: 2;
}
.feature-background .line-right {
  position: relative;
}
.feature-background .title {
  padding-top: 8rem;
}

@media (min-width: 576px) {
  .feature-background {
    padding: 0rem;
  }

  .line-right::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 1px;
    height: 100%;
    background-color: #ffffff45;
    transform: scaleY(var(--scaleY, 0));
    transform-origin: top;
  }

  .line-top::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #ffffff45;
    transform: scaleX(var(--scaleX, 0));
    transform-origin: left;
  }

  .top {
    padding: 8rem 2.5rem 4rem 2.5rem;
  }

  .bottom {
    padding: 4rem 2.5rem 8rem 2.5rem;
  }
}
.position-sticky {
  position: sticky !important;
  top: 65px;
}

ul.sticky-links {
  padding-left: 1rem;
  list-style: square;
  margin-top: 1rem;
}

ul.contact-list li {
  border-bottom: 1px solid var(--grey);
  padding-bottom: 1rem;
}

.sticky-column {
  padding-top: 3rem;
}
.sticky-column h2, .sticky-column h3 {
  margin-bottom: 1.5rem;
  line-height: 1.2;
}
.sticky-column .image-sticky img {
  max-height: 300px;
}
.sticky-column img {
  height: 90vh;
  width: 100%;
  object-fit: cover;
  margin-bottom: 1rem;
}

.fade-image img {
  opacity: 0;
  transform: translateY(20px);
  /* if you want slide-up effect */
  visibility: hidden;
}

.page-hero {
  position: relative;
  max-height: 70vh;
  min-height: 450px;
  overflow: hidden;
  margin-bottom: 3rem;
}

.featured-image {
  position: relative;
}

.featured-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  max-height: 90vh;
  min-height: 450px;
  display: block;
}

.hero-content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  /* vertical centering */
  color: white;
  z-index: 2;
  padding: 0rem 1.5rem;
}

.hero-content .row {
  width: 100%;
}

h1.entry-title {
  margin: 0;
}

.hero-content h4 {
  margin-top: 10px;
  font-style: italic;
}

.header-container {
  display: flex;
  align-items: center;
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  max-width: 1600px;
  margin: 0 auto;
  padding: 0 1rem;
  height: 60px;
  background: var(--mushroom);
  z-index: 1000;
  transition: top 0.3s ease, box-shadow 0.3s ease;
}

.header-container.fixed {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
}

.scroll-line {
  position: absolute;
  bottom: 0;
  left: 0;
  height: 0.5px;
  width: 100%;
  background-color: var(--grey);
  transform-origin: left center;
  transform: scaleX(0);
  z-index: 1002;
}

.menu-left {
  display: flex;
  align-items: center;
}

.menu-left .menu-items a {
  padding: 1rem 1.2rem 1rem 0rem;
}

.menu-right {
  display: flex;
  align-items: center;
  margin-left: auto;
}

.menu-right .menu-items a {
  padding: 1rem 0rem 1rem 1.2rem;
}

.logo {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1001;
}

.menu-items {
  list-style: none;
  display: flex;
  margin: 0;
  padding: 0;
}

.menu-items li {
  position: relative;
}

.menu-items a {
  display: block;
  padding: 1rem 1.5rem;
  color: var(--grey);
  text-decoration: none;
  font-size: clamp(13.5px, 1.8vw, 0.89rem);
}

.menu-items a:hover {
  opacity: 0.8;
}

.menu-left .menu-items li ul.sub-menu {
  display: none;
  position: fixed;
  left: 0;
  width: 100vw;
  background: var(--mushroom);
  border-top: 0.5px solid var(--grey);
  border-bottom: 0.5px solid var(--grey);
  flex-direction: row;
  justify-content: center;
  gap: 2rem;
  z-index: 9999;
  border-right: 0.5px solid var(--grey);
  list-style: square;
}

.menu-left .menu-items li ul.sub-menu.show {
  display: block;
  padding-left: 1.5rem;
}

.lg-logo {
  display: none;
}

.mb-logo {
  display: block;
}

@media (min-width: 576px) {
  .lg-logo {
    display: block;
  }

  .mb-logo {
    display: none;
  }

  .menu-left .menu-items li ul.sub-menu.show {
    display: flex;
  }
}
a.project-filter {
  cursor: pointer;
  font-size: 2.5rem;
  line-height: 1.2;
  transition: opacity 0.3s cubic-bezier(0.65, 0, 0.35, 1);
}
a.project-filter:hover {
  opacity: 0.6;
}

.project-filter.active {
  font-style: italic;
  opacity: 0.6;
  font-size: 2.8rem;
}

.project-images {
  display: grid;
  grid-template-columns: 1fr;
  row-gap: 0.5rem;
}

@media (min-width: 576px) {
  .project-images {
    grid-template-columns: repeat(2, 1fr);
    gap: 0.5rem;
  }
}
.project-images img {
  opacity: 0;
  visibility: hidden;
}

.project-images img {
  width: 100%;
  display: block;
  min-height: 400px;
  height: 90vh;
  object-fit: cover;
}

/* Force the 3rd image to span full width */
.project-images img:nth-child(3) {
  grid-column: span 2;
}

.project-panel.off-canvas {
  position: fixed;
  top: 0;
  left: -100%;
  width: 50%;
  min-width: 300px;
  height: 100%;
  background: #fff;
  overflow-y: auto;
  box-shadow: -4px 0 12px rgba(0, 0, 0, 0.3);
  transition: left 0.4s ease;
  z-index: 99999;
  padding: 2rem;
  /* WebKit scrollbars */
}
.project-panel.off-canvas p {
  margin-top: 1rem;
}
.project-panel.off-canvas::-webkit-scrollbar {
  width: 8px;
}
.project-panel.off-canvas::-webkit-scrollbar-track {
  background: white;
}
.project-panel.off-canvas::-webkit-scrollbar-thumb {
  background-color: rgba(136, 136, 136, 0.6);
  border-radius: 10px;
}
.project-panel.off-canvas::-webkit-scrollbar-thumb:hover {
  background-color: rgba(85, 85, 85, 0.8);
}

/* Firefox scrollbars */
.project-panel.off-canvas {
  scrollbar-color: rgba(136, 136, 136, 0.6) white;
  /* thumb, track */
  scrollbar-width: thin;
}

.project-panel.off-canvas.active {
  left: 0;
}

.project-details-btn {
  margin: 1rem 0;
  cursor: pointer;
  background: transparent;
  border: solid black 1px;
  padding: 0rem 2.5rem;
  position: relative;
  z-index: 20;
  transition: all 0.3s ease;
}

.close-panel {
  display: block;
  margin-top: 1rem;
  cursor: pointer;
  margin-bottom: 2rem;
}

@media (max-width: 576px) {
  h1.project-title {
    text-align: center;
    font-size: 2rem;
  }
}
body.splash-active {
  overflow: hidden;
  /* prevent scrolling while splash is visible */
}

#splash-screen {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  z-index: 999999;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: none;
  transition: opacity 0.3s ease;
}

#splash-screen.active {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.splash-video {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: translate(-50%, -50%);
  z-index: 0;
}

#splash-screen::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.3);
  z-index: 1;
}

.splash-inner {
  position: relative;
  z-index: 2;
  text-align: center;
  color: #fff;
  padding: 0 2.5rem;
}

#explore {
  position: absolute;
  z-index: 3;
  left: 50%;
  bottom: 8rem;
  transform: translateX(-50%);
  display: inline-block;
  background: transparent;
  color: #fff;
  font-size: 1.1rem;
  letter-spacing: 1px;
  cursor: pointer;
  transition: all 0.3s ease;
}

#explore::before {
  content: "";
  display: block;
  width: 24px;
  height: 24px;
  margin: 0 auto 0.2rem;
  background: url("/wp-content/themes/foatandgriffin/images/arrow-white.svg") no-repeat center center;
  background-size: contain;
}

.splash-logo {
  margin-bottom: 2rem;
  max-height: 6rem;
  width: 100%;
  height: auto;
}

:root {
  --mushroom:#D6C9C0;
  --grey:#383338;
  --tan: #C19C7B;
}

::-moz-selection {
  background: var(--tan);
}

::selection {
  background: var(--tan);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  /* Chrome, Safari, Edge */
  -moz-osx-font-smoothing: grayscale;
  /* Firefox on macOS */
  text-rendering: optimizeLegibility;
  /* Better kerning & ligatures */
}

body {
  background-color: var(--mushroom);
  overflow-x: hidden;
  color: var(--grey);
  opacity: 0;
  animation: fadeIn 1s ease-in-out forwards;
}

/* Fade-in keyframes */
@keyframes fadeIn {
  to {
    opacity: 1;
  }
}
.inner {
  width: 100%;
  max-width: 1600px;
  padding: 0rem 1.2rem;
  box-sizing: border-box;
  margin: 0 auto;
}

.btn, .field-wrap input[type=submit] {
  margin: 1rem 0;
  cursor: pointer;
  background: transparent;
  border: solid var(--grey) 0.5px;
  padding: 0.8rem 2.5rem;
  position: relative;
  z-index: 20;
  transition: all 0.3s ease;
  display: inline-block;
  color: var(--grey);
  text-decoration: none;
}
.btn a, .field-wrap input[type=submit] a {
  color: var(--grey);
  text-decoration: none;
}
.btn:hover, .field-wrap input[type=submit]:hover {
  background: var(--grey);
  color: white;
}
.btn:hover a, .field-wrap input[type=submit]:hover a {
  color: white;
}

.relative {
  position: relative;
}

/* Forms */
.nf-field-label {
  display: none;
}

.nf-field-element input, .nf-field-element select, .nf-field-element textarea {
  margin: 0;
  width: auto;
  height: auto;
  vertical-align: inherit;
  padding: 1rem;
  border: 1px solid;
  background: transparent;
}

.nf-form-fields-required {
  display: none;
}

*::-webkit-scrollbar {
  width: 0.2em;
  /* width of the scrollbar */
}

*::-webkit-scrollbar-track {
  background: var(--mushroom);
  /* track background */
}

*::-webkit-scrollbar-thumb {
  background-color: #383338;
  /* grey thumb */
  border-radius: 10px;
  border: 2px solid var(--mushroom);
  /* optional padding around thumb */
}

*::-webkit-scrollbar-thumb:hover {
  background-color: #383338;
  /* darker grey on hover */
}

/* -----------------------
   Firefox
------------------------ */
* {
  scrollbar-width: thin;
  /* makes the scrollbar thinner */
  scrollbar-color: #383338 var(--mushroom);
  /* thumb color | track color */
}

.p-three {
  padding: 3rem 0rem;
}

.p-six {
  padding: 3rem 0rem;
}

@media (min-width: 576px) {
  .p-six {
    padding: 6rem 0rem;
  }
}
hr.solid {
  border: 0.5px solid var(--grey);
}

img.h-600 {
  max-height: 680px;
  object-fit: cover;
}

img.h-540 {
  max-height: 540px;
  object-fit: cover;
}

@media (min-width: 576px) {
  .mob-only {
    display: none;
  }
}
.alignnone {
  margin: 5px 20px 20px 0;
}

.aligncenter,
div.aligncenter {
  display: block;
  margin: 5px auto 5px auto;
}

.alignright {
  float: right;
  margin: 5px 0 20px 20px;
}

.alignleft {
  float: left;
  margin: 5px 20px 20px 0;
}

a img.alignright {
  float: right;
  margin: 5px 0 20px 20px;
}

a img.alignnone {
  margin: 5px 20px 20px 0;
}

a img.alignleft {
  float: left;
  margin: 5px 20px 20px 0;
}

a img.aligncenter {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.wp-caption {
  max-width: 96%;
  /* Image does not overflow the content area */
  padding: 5px 3px 10px;
  text-align: center;
}

.wp-caption.alignnone {
  margin: 5px 20px 20px 0;
}

.wp-caption.alignleft {
  margin: 5px 20px 20px 0;
}

.wp-caption.alignright {
  margin: 5px 0 20px 20px;
}

.wp-caption img {
  border: 0 none;
  height: auto;
  margin: 0;
  max-width: 98.5%;
  padding: 0;
  width: auto;
}

.wp-caption p.wp-caption-text {
  font-size: 11px;
  line-height: 17px;
  margin: 0;
  padding: 0 4px 5px;
}

.gallery-item {
  display: inline-block;
  text-align: left;
  vertical-align: top;
  width: 50%;
}

.gallery-item a,
.gallery-item a:hover,
.gallery-item a:focus {
  -webkit-box-shadow: none;
  box-shadow: none;
  background: none;
  display: inline-block;
  max-width: 100%;
}

.gallery-item a img {
  display: block;
  -webkit-transition: -webkit-filter 0.2s ease-in;
  transition: -webkit-filter 0.2s ease-in;
  transition: filter 0.2s ease-in;
  transition: filter 0.2s ease-in, -webkit-filter 0.2s ease-in;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.gallery-item a:hover img,
.gallery-item a:focus img {
  -webkit-filter: opacity(60%);
  filter: opacity(60%);
}

.gallery-caption {
  display: block;
  text-align: left;
  padding: 0 10px 0 0;
  margin-bottom: 0;
}

.gallery-columns-1 .gallery-item {
  max-width: 100%;
}

.gallery-columns-2 .gallery-item {
  max-width: 50%;
}

.gallery-columns-3 .gallery-item {
  max-width: 33%;
}

.gallery-columns-4 .gallery-item {
  max-width: 25%;
}

.gallery-columns-5 .gallery-item {
  max-width: 20%;
}

.gallery-columns-6 .gallery-item {
  max-width: 16.66%;
}

.gallery-columns-7 .gallery-item {
  max-width: 14.28%;
}

.gallery-columns-8 .gallery-item {
  max-width: 12.5%;
}

.gallery-columns-9 .gallery-item {
  max-width: 11.11%;
}

.gallery-columns-6 .gallery-caption,
.gallery-columns-7 .gallery-caption,
.gallery-columns-8 .gallery-caption,
.gallery-columns-9 .gallery-caption {
  display: none;
}

.bypostauthor {
  font-weight: bold;
}

/* Text meant only for screen readers. */
.screen-reader-text {
  clip: rect(1px, 1px, 1px, 1px);
  position: absolute !important;
  height: 1px;
  width: 1px;
  overflow: hidden;
}

.screen-reader-text:focus {
  background-color: #f1f1f1;
  border-radius: 3px;
  box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
  clip: auto !important;
  color: #21759b;
  display: block;
  font-size: 14px;
  font-size: 0.875rem;
  font-weight: bold;
  height: auto;
  left: 5px;
  line-height: normal;
  padding: 15px 23px 14px;
  text-decoration: none;
  top: 5px;
  width: auto;
  z-index: 100000;
  /* Above WP toolbar. */
}

.text-center {
  text-align: center;
}

.projects-slider {
  position: relative;
  min-height: 500px;
  height: 90vh;
  color: white;
}

.project-slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  opacity: 0;
  transition: opacity 0.6s ease;
}
.project-slide h2 a, .project-slide h5 {
  color: white;
}

.slide-content-bottom {
  position: absolute;
  bottom: 20px;
  left: 0;
  width: 100%;
  padding: 0 15px;
}

.projects-nav {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.nav-item {
  cursor: pointer;
}

.nav-item-active {
  font-weight: bold;
}

#footer {
  margin-top: 6rem;
}

.footer-links {
  display: flex;
  justify-content: space-between;
  padding: 1rem;
}

.footer-logo {
  padding: 0 1.5rem;
}

@media (min-width: 576px) {
  .footer-links {
    position: absolute;
    z-index: 2;
    top: 0;
    right: 1.5rem;
    text-align: right;
    display: block;
  }

  .footer-logo {
    padding: 0rem;
  }
}
